Masumi Logo

/registry-update

Updates the metadata of an existing agent registration by issuing an UpdateAction on the V2 registry mint contract (atomically burns the current asset and mints a new one with the version segment incremented by one). Web3CardanoV2 only. Please note that while the command is put on-chain, the transaction is not yet finalized by the blockchain, as designed finality is only eventually reached.

POST
/registry/update
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry/update" \  -H "Content-Type: application/json" \  -d '{    "agentIdentifier": "agentIdentifier",    "network": "Preprod",    "name": "Agent Name",    "apiBaseUrl": "https://api.example.com",    "description": "Updated agent description",    "Tags": [      "ai"    ],    "ExampleOutputs": [],    "Capability": {      "name": "capability_name",      "version": "1.0.0"    },    "Author": {      "name": "Author Name"    },    "AgentPricing": {      "pricingType": "Fixed",      "Pricing": [        {          "unit": "",          "amount": "10000000"        }      ]    }  }'
{
  "status": "Success",
  "data": {
    "error": null,
    "id": "registry_id",
    "name": "Agent Name",
    "description": "Agent Description",
    "apiBaseUrl": "https://api.example.com",
    "Capability": {
      "name": "Capability Name",
      "version": "1.0.0"
    },
    "Author": {
      "name": "Author Name",
      "contactEmail": "[email protected]",
      "contactOther": "contact-other",
      "organization": "Author Org"
    },
    "Legal": {
      "privacyPolicy": "https://example.com/privacy",
      "terms": "https://example.com/terms",
      "other": "https://example.com/other"
    },
    "state": "RegistrationRequested",
    "Tags": [
      "tag1",
      "tag2"
    ],
    "createdAt": "1970-01-20T20:00:36.260Z",
    "updatedAt": "1970-01-20T20:00:36.260Z",
    "lastCheckedAt": null,
    "ExampleOutputs": [
      {
        "name": "example_output_name",
        "url": "https://example.com/example_output",
        "mimeType": "application/json"
      }
    ],
    "agentIdentifier": "policy_id_asset_name_policy_id_asset_name_policy_id_asset_name",
    "AgentPricing": {
      "pricingType": "Fixed",
      "Pricing": [
        {
          "unit": "",
          "amount": "10000000"
        }
      ]
    },
    "sendFundingLovelace": null,
    "supportedPaymentSources": [
      {
        "chain": "Cardano",
        "network": "Preprod",
        "paymentSourceType": "Web3CardanoV2",
        "address": "addr_test1wz7j4kmg2cs7yf92uat3ed4a3u97kr7axxr4avaz0lhwdsqukgwfm"
      }
    ],
    "SmartContractWallet": {
      "walletVkey": "wallet_vkey",
      "walletAddress": "wallet_address"
    },
    "RecipientWallet": null,
    "CurrentTransaction": null
  }
}
Masumi Kanji